# -*- coding: utf-8 -*-
"""
Created on Wed Oct 10 13:42:46 2018

@author: user
"""

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
plt.rcParams["font.family"] = "IPAexGothic"
plt.rcParams["font.size"] = 15

#ダウンロード先の絶対パスで指定（フォルダの区切りはスラッシュで指定）
#file = pd.ExcelFile("C:/Users/user/Downloads/python.xlsx")
#または、下記のようにインターネットから直接読み込むことも可能
file = pd.ExcelFile("http://pana4405.u-shizuoka-ken.ac.jp/wp-content/uploads/2018/10/python.xlsx")
data = file.parse("宿泊客数")
print(data)

#散布図
ax = data.plot.scatter(x="日本人", y="訪日外国人", figsize=(10, 5))
#ラベルを描く
for k, v in data.iterrows():
    if v[1] >= 1000000:
        ax.annotate(v[0], xy=(v[2], v[1]), size=12)

#回帰曲線の係数を求める    
z = np.polyfit(data.日本人, data.訪日外国人, 2)
print(z)
#回帰曲線の式オブジェクトを求める
p = np.poly1d(z)
print(p)
#x軸方向の数列
xp = np.linspace(data.日本人.min(), data.日本人.max(), 100)
#数列のY軸での値を計算
plt.plot(xp, p(xp))
plt.show()
